Workspaces & Teams
List Users in a Workspace
List all users in your Zeeg workspace, including their roles, slugs, and email addresses. Supports per_page pagination.
GET
/
organizations
/
users
List users in a workspace
curl --request GET \
--url https://api.zeeg.me/v2/organizations/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/organizations/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/organizations/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection": [
{
"uuid": "MRJXYG8M66KLBEX",
"isActive": true,
"email": "lena.meier@horizondigital.de",
"firstName": "Lena",
"lastName": "Meier",
"name": "Lena Meier",
"slug": "lena-meier",
"language": "de",
"url": "https://zeeg.me/lena-meier",
"avatarUrl": null,
"timezone": "Europe/Berlin",
"role": "owner",
"teams": [
{
"uuid": "73e4761b-5257-4e83-a807-974a3f2f3adc",
"title": "Customer Success",
"slug": "customer-success",
"url": "https://zeeg.me/team/customer-success"
}
],
"createdAt": "2026-01-10T09:00:00.000000Z",
"updatedAt": "2026-04-01T08:15:00.000000Z",
"lastLoginAt": "2026-05-28T07:42:11.000000Z"
},
{
"uuid": "QK566D4X49E8X78",
"isActive": true,
"email": "marco.rossi@horizondigital.de",
"firstName": "Marco",
"lastName": "Rossi",
"name": "Marco Rossi",
"slug": "marco-rossi",
"language": "en",
"url": "https://zeeg.me/marco-rossi",
"avatarUrl": null,
"timezone": "Europe/Rome",
"role": "admin",
"teams": [
{
"uuid": "73e4761b-5257-4e83-a807-974a3f2f3adc",
"title": "Customer Success",
"slug": "customer-success",
"url": "https://zeeg.me/team/customer-success"
}
],
"createdAt": "2026-02-05T11:30:00.000000Z",
"updatedAt": "2026-04-01T08:15:00.000000Z",
"lastLoginAt": null
}
],
"pagination": {
"total": 2,
"count": 20,
"totalPages": 1,
"previousPage": null,
"currentPage": 1,
"nextPage": null
}
}{
"message": "Unauthenticated."
}Authorizations
Query Parameters
Number of results per page.
Required range:
1 <= x <= 100Page number.
Required range:
x >= 1Response
OK
Hide child attributes
Hide child attributes
Alphanumeric user identifier (e.g. QK566D4X49E8X78)
Example:
"QK566D4X49E8X78"
Whether the user account is active
Full display name
User's Zeeg page link
IANA timezone identifier
Available options:
owner, admin, user When the user signed up
When the user last logged in to Zeeg (dashboard or SSO). Null if the user has not logged in since this was first tracked.
Hide child attributes
Hide child attributes
Total number of records.
Required range:
x >= 0Number of records per page.
Required range:
x >= 0Total number of pages.
Required range:
x >= 0Current page number.
Required range:
x >= 1Link to previous page, or null.
Example:
"/v2/organizations/users?page=1"
Link to next page, or null.
Example:
"/v2/organizations/users?page=3"
Last modified on April 29, 2026
⌘I
List users in a workspace
